Skip to main content
GET
/
api
/
v2
/
inbox-placement-reports
/
{id}
Get inbox placement blacklist & spamassassin report
curl --request GET \
  --url https://api.instantly.ai/api/v2/inbox-placement-reports/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019cc043-aef2-75d0-a9da-5b9a1ed46758",
  "timestamp_created": "2026-03-05T23:09:47.122Z",
  "timestamp_created_date": "2026-03-05",
  "organization_id": "019cc043-aef2-75d0-a9da-5b9be38de65f",
  "test_id": "019cc043-aef2-75d0-a9da-5b9c98c7b2fe",
  "domain": "growinstantly.com",
  "domain_ip": "192.168.1.1",
  "spam_assassin_score": 2.5,
  "domain_blacklist_count": 5,
  "domain_ip_blacklist_count": 3,
  "spam_assassin_report": {
    "is_spam": false,
    "report": [
      {
        "description": "BODY",
        "name": "HTML_MESSAGE",
        "score": "0.0"
      }
    ],
    "spam_score": 0
  },
  "blacklist_report": {
    "address": "growinstantly.com",
    "blacklisted_count": 5,
    "details": [
      {
        "blacklist": "zen.spamhaus.org",
        "is_listed": true,
        "test_type": "ip"
      }
    ],
    "ip": "104.21.62.47",
    "is_blacklisted": true,
    "is_domain": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the requested item

Example:

"019cc043-e372-7b88-9a1d-f61eb24b07de"

Response

The requested Inbox Placement Blacklist & SpamAssassin Report

Report data for an inbox placement test

id
string<uuid>
required

Unique identifier for the inbox placement report entry

Example:

"019cc043-aef2-75d0-a9da-5b9a1ed46758"

timestamp_created
string
required

Timestamp when the inbox placement report was created

Example:

"2026-03-05T23:09:47.122Z"

timestamp_created_date
string
required

Date when the inbox placement report was created

Example:

"2026-03-05"

organization_id
string<uuid>
required

Organization ID

Example:

"019cc043-aef2-75d0-a9da-5b9be38de65f"

test_id
string<uuid>
required

Inbox Placement Test ID

Example:

"019cc043-aef2-75d0-a9da-5b9c98c7b2fe"

domain
string
required

Domain of the inbox placement report

Example:

"growinstantly.com"

domain_ip
string
required

IP address of the domain

Example:

"192.168.1.1"

spam_assassin_score
number
required

SpamAssassin score for the email, indicating spam likelihood

Example:

2.5

domain_blacklist_count
null | number

Count of blacklists the domain is listed on

Example:

5

domain_ip_blacklist_count
null | number

Count of blacklists the domain IP is listed on

Example:

3

spam_assassin_report
object

Detailed SpamAssassin analysis report

blacklist_report
object

Detailed blacklist report for the domain or IP